import { GoogleCalendarOrchestrator } from './../domain/usecases/google-calendar.orchestrator';
import { Controller, Get } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { Public } from 'src/core/guards';

@ApiTags(`google calendar - read`)
@Controller('google-calendar')
@Public(true)
export class GoogleCalendarController {
  constructor(private orchestrator: GoogleCalendarOrchestrator) {}

  @Get('/holiday')
  async calendar() {
    return await this.orchestrator.holiday();
  }
}
